aboutsummaryrefslogtreecommitdiff
path: root/repo/git/cpt-add
diff options
context:
space:
mode:
Diffstat (limited to 'repo/git/cpt-add')
-rwxr-xr-xrepo/git/cpt-add20
1 files changed, 20 insertions, 0 deletions
diff --git a/repo/git/cpt-add b/repo/git/cpt-add
new file mode 100755
index 0000000..b707555
--- /dev/null
+++ b/repo/git/cpt-add
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+# Commit the current directory as a new package
+
+case "$1" in
+ '') set -- . ;;
+ --help|-h) printf '%s\n' "usage: ${0##*/}"; exit 0; esac
+
+for pkg; do (
+
+ cd "$pkg"
+ read -r ver _ < version || {
+ printf '%s\n' "could not find version file, are you on a package directory?"
+ exit 1
+ }
+
+ # Unstage all changes and stage the current directory
+ git reset; git add .
+ git commit -m "${PWD##*/}: add new package at $ver"
+
+) done